%define modname geoip
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

%define mod_src "geoip.c"
%define mod_lib "-lGeoIP"
%define mod_def "-DCOMPILE_DL_GEOIP"

Summary:	Map IP address to geographic places
Name:		php-%{modname}
Version:	1.1.0
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/geoip/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	GeoIP-devel >= 1.4.0
Requires:	geoip >= 1.4.0
Epoch:		1

%description
This PHP extension allows you to find the location of an IP address - City,
State, Country, Longitude, Latitude, and other information as all, such as ISP
and connection type. For more info, please visit Maxmind's website.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

#%{_usrsrc}/php-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc ChangeLog README package*.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Feb 25 2016 oden <oden> 1:1.1.0-1.mga6
+ Revision: 978993
- 1.1.0

* Fri Feb 12 2016 umeabot <umeabot> 1:1.0.8-11.mga6
+ Revision: 958362
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.8-10.mga5
+ Revision: 739621
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.8-9.mga5
+ Revision: 687127
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.0.8-8.mga5
+ Revision: 616551
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.0.8-7.mga4
+ Revision: 567666
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:1.0.8-6.mga4
+ Revision: 527813
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:1.0.8-5.mga4
+ Revision: 442634
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.0.8-4.mga3
+ Revision: 393264
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.0.8-3.mga3
+ Revision: 375776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.0.8-2.mga2
+ Revision: 223896
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:1.0.8-1.mga2
+ Revision: 185248
- upgrade to 1.0.8

* Sun Feb 06 2011 spuhler <spuhler> 1:1.0.7-11.mga1
+ Revision: 47913
- removed buildroot definition from .spec
- imported package php-geoip

